Page MenuHomePhabricator

Security review for WikimediaPageViewInfo extension
Closed, ResolvedPublic

Description

Project Information

Description of the tool/project

Provides fancy looking graphs of page view data integrated into the MediaWiki Info action.

Description of how the tool will be used at WMF

By users who want to see pageview data :)

Dependencies

The Graph extension, most importantly the Vega JS library, and oojs-ui

Has this project been reviewed before?

No

Working test environment

I have set up a test wiki on labs that pretends it is en.wikipedia.org, and displays the page view data for that wiki, regardless of whether the article exists on the test wiki:

http://bf-wmpageview.wmflabs.org/wiki/Taylor_Swift?action=info

Configuration:

wfLoadExtension('WikimediaPageViewInfo');
$wgPageViewInfoEndpoint = 'https://wikimedia.org/api/rest_v1/metrics/pageviews';
$wgPageViewInfoDomain = 'en.wikipedia.org';  # This line will not be set in production

Post-deployment

The Legoktm and Addshore maintain once cool stuff team will be responsible for maintaining the extension afterwards.

Event Timeline

Legoktm created this task.Jan 13 2016, 11:09 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Security-Team-Reviews.
Legoktm added subscribers: Legoktm, Addshore.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 13 2016, 11:09 PM
Legoktm renamed this task from Security review for WikimediaPageViewInfo extension (placeholder) to Security review for WikimediaPageViewInfo extension.Feb 17 2016, 7:55 AM
Legoktm updated the task description. (Show Details)

@csteipp, @dpatrick, the initial version of the extension is now ready for review.

Legoktm updated the task description. (Show Details)Feb 17 2016, 8:01 AM
dpatrick added a project: Security-Team.
dpatrick moved this task from Backlog to In Progress on the Security-Team board.
dpatrick moved this task from In Progress to Ready on the Security-Team board.
dpatrick added a comment.EditedMar 9 2016, 6:27 PM

Sorry for the delay on this! I was out at a conference.

General Observations

  • Positive
    • Extension is uniform is purpose
    • Code is highly readable and self-documenting
  • Negative
    • NONE

Issues

  • NONE

Files

./extension.json

OK

./graphs/month.json

OK

./includes/PageViewInfo.hooks.php

OK

./resources/ext.wmpageviewinfo.js

OK
dpatrick moved this task from In Progress to Done on the Security-Team board.Mar 9 2016, 6:27 PM
Legoktm closed this task as Resolved.Mar 11 2016, 12:50 AM

Thank you! :)